Addressing (Java SE 10 & JDK 10 )
Keywords: javax.xml.ws.soap.Addressing class

Module java.xml.ws
Package javax.xml.ws.soap

## Annotation Type Addressing

-     @Target({TYPE,METHOD,FIELD})
      @Retention(RUNTIME)
      @Documented
      @WebServiceFeatureAnnotation(id="http://www.w3.org/2005/08/addressing/module",
                                   bean=AddressingFeature.class)
      public @interface Addressing

  This annotation represents the use of WS-Addressing with either the SOAP 1.1/HTTP or SOAP 1.2/HTTP binding. Using this annotation with any other binding is undefined.

  This annotation MUST only be used in conjunction with the `javax.jws.WebService`, `WebServiceProvider`, and `WebServiceRef` annotations. When used with a `javax.jws.WebService` annotation, this annotation MUST only be used on the service endpoint implementation class. When used with a `WebServiceRef` annotation, this annotation MUST only be used when a proxy instance is created. The injected SEI proxy, and endpoint MUST honor the values of the `Addressing` annotation.

  This annotation's behaviour is defined by the corresponding feature `AddressingFeature`.

  Since:
    1.6, JAX-WS 2.1

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element | Description
    --- | --- | ---
    `boolean` | `enabled` | Specifies if this feature is enabled or disabled.
    `boolean` | `required` | If addressing is enabled, this property determines whether the endpoint requires WS-Addressing.
    `AddressingFeature.Responses` | `responses` | If addressing is enabled, this property determines whether endpoint requires the use of anonymous responses, or non-anonymous responses, or all.

- - ### Element Detail

    - #### enabled

          boolean enabled

      Specifies if this feature is enabled or disabled. If enabled, it means the endpoint supports WS-Addressing but does not require its use. Corresponding 3.1.1 Addressing Assertion must be generated in the generated WSDL.
      Returns:
        `true` if endpoint supports WS-Addressing, `false` otherwise
      Default:
        true

  - - #### required

          boolean required

      If addressing is enabled, this property determines whether the endpoint requires WS-Addressing. If required is true, the endpoint requires WS-Addressing and WS-Addressing headers MUST be present on incoming messages. A corresponding 3.1.1 Addressing Assertion must be generated in the WSDL.
      Returns:
        `true` if endpoint requires WS-Addressing, `false` otherwise
      Default:
        false

  - - #### responses

          AddressingFeature.Responses responses

      If addressing is enabled, this property determines whether endpoint requires the use of anonymous responses, or non-anonymous responses, or all.

      `AddressingFeature.Responses.ALL` supports all response types and this is the default value.

      `AddressingFeature.Responses.ANONYMOUS` requires the use of only anonymous responses. It will result into wsam:AnonymousResponses nested assertion as specified in 3.1.2 AnonymousResponses Assertion in the generated WSDL.

      `AddressingFeature.Responses.NON_ANONYMOUS` requires the use of only non-anonymous responses. It will result into wsam:NonAnonymousResponses nested assertion as specified in 3.1.3 NonAnonymousResponses Assertion in the generated WSDL.

      Returns:
        supported response types
      Since:
        1.7, JAX-WS 2.2
      Default:
        javax.xml.ws.soap.AddressingFeature.Responses.ALL